:root {
    --accent: rgb(200, 48, 48);
    --font-display: "Newsreader", Georgia, serif;
    --font-sans: "Outfit", "Avenir Next", sans-serif;
    --bg: whitesmoke;
    --fg: black;
}

html {
    scrollbar-color: rgba(0, 0, 0, 0.4) transparent;
    scrollbar-width: thin;
    scroll-behavior: smooth;
    scroll-snap-type: y mandatory
}

body {
    margin: 0;
    font-family: var(--font-sans);
    background: var(--bg);
    overflow-x: hidden;
    counter-reset: h2-counter;
}

h1,
h2 {
    margin: 0;
    font-weight: 100;
    font-family: var(--font-display);
    color: var(--accent);
    text-align: center;
}

h2::before {
    counter-increment: h2-counter;
    content: counter(h2-counter) ". ";
}

h1 {
    font-size: 5rem;
}

.text-shadow {
    text-shadow: 1px 1px 10px rgba(42, 42, 42, 0.5);
}

h2 {
    font-size: 3rem;
}

a {
    text-decoration: none;
}


div[data-section] {
    position: relative;
}

.page {
    position: relative;
    min-height: 100vh;
    /* scroll-snap-align: center; */
}

.bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    z-index: -1;
}

.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.6);
}

.flex {
    display: flex;
}

.flex.down {
    flex-direction: column;
}

.flex.center {
    justify-content: center;
    align-items: center;
}

.split {
    display: flex;
    justify-content: space-evenly;
}

.split>div.splitter {
    align-self: stretch;
    border: 1px solid var(--bg);
}

.surface {
    background-color: var(--bg);
}

.center {
    text-align: center;
}

.c-bg {
    color: var(--bg);
}

.c-accent {
    color: var(--accent);

}

#bar-chart .y-axis path,
#bar-chart .y-axis line {
    display: none
}

#scatter-plot {
    text-align: left;
    display: flex;
}

#scatter-plot fieldset {
    background: #eee;
    width: fit-content;
    height: fit-content;
    border-radius: 5px;
    /* border: 3px solid var(--accent); */
}

#scatter-plot legend {
    font-weight: bold;
}

#scatter-plot input[type="radio"] {
    accent-color: var(--accent);
}

#scatter-plot button {
    display: block;
    margin: 10px auto auto;
    width: 100%;
    background-color: var(--accent);
    color: white;
    font-weight: bold;
    border: none;
    border-radius: 5px;
}

#scatter-plot button:hover {
    background-color: rgb(160, 8, 8);
}

#network-graph {
    position: relative;
}

#network-controls {
    width: 250px;
    height: 670px;
    padding: 1rem;
}

#network-foods,
#network-nutritions {
    height: 40%;
    width: 200px;
    overflow-y: auto;
    background-color: #eee;

    border-radius: 8px;
}

#network-foods>div,
#network-nutritions>div {
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

#network-info {
    position: absolute;
    left: 2rem;
    top: 2rem;
    background-color: var(--bg);
    padding: 1rem;
    border-radius: 8px;
    box-shadow: 2px 2px 10px 1px #aaa;
}